## plasma-browser-integration 5.18.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(plasma-browser-integration)
set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.9.0")
set(KF5_MIN_VERSION "5.42.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
Gui
DBus
Widgets
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    KIO
    I18n
    Config
    Crash
    DBusAddons
    Notifications
    Runner
    Activities
    Purpose
    FileMetaData
)

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)

# Options
option(INSTALL_CHROME_MANIFEST "Whether to install a configuration file that makes Chrome automatically download the extension from the store" FALSE)
add_feature_info(INSTALL_CHROME_MANIFEST ${INSTALL_CHROME_MANIFEST} "Install extension from Chrome store automatically")

# in ubuntu and derivatives, this should be installed in the chromium-browser/extensions,
# but since this is distribution specific path, let's use what upstream uses
# ideally ubuntu and derivatives should patch this in their packaging
set(CHROMIUM_EXTENSIONS_DIR "chromium" CACHE STRING "Directory name to install Chromium extensions into")
add_feature_info(CHROMIUM_EXTENSIONS_DIR On "Directory name to install Chromium extensions into is '${CHROMIUM_EXTENSIONS_DIR}'")

option(COPY_MESSAGING_HOST_FILE_HOME "Copy the native messaging hosts json file to user home dir" FALSE)
add_feature_info(COPY_MESSAGING_HOST_FILE_HOME ${COPY_MESSAGING_HOST_FILE_HOME} "Enable this option to copy the native messaging hosts json file to home dir if you install plasma-browser-integration to custom prefix (non-/usr)")

set(MOZILLA_DIR "${CMAKE_INSTALL_PREFIX}/lib/mozilla" CACHE STRING "Mozilla directory")
add_feature_info(MOZILLA_DIR On "Mozilla directory is '${MOZILLA_DIR}'")

add_subdirectory(host)
add_subdirectory(tabsrunner)
add_subdirectory(reminder)

if(NOT DEFINED CHROME_EXTENSION_ID)
    # The extension ID is based on the key used to sign the extension
    # see https://stackoverflow.com/questions/23873623/obtaining-chrome-extension-id-for-development
    set(CHROME_EXTENSION_ID "cimiefiiaegbelhefglklhhakcgmhkai")
endif()

# TODO configure manifest.json

configure_file(org.kde.plasma.chrome_integration.json.in org.kde.plasma.chrome_integration.json @ONLY)
configure_file(org.kde.plasma.firefox_integration.json.in org.kde.plasma.firefox_integration.json @ONLY)

# #chromium
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/chromium/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# #google-chrome
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/chrome/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# firefox

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${MOZILLA_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)

if (COPY_MESSAGING_HOST_FILE_HOME)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.mozilla/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/chromium/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/google-chrome/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
endif()

if (INSTALL_CHROME_MANIFEST) # Install a policy to have browsers automatically add the extension
    # google-chrome
    install(FILES chrome_install_from_store_policy DESTINATION ${KDE_INSTALL_DATADIR}/google-chrome/extensions RENAME ${CHROME_EXTENSION_ID}.json)
    # chromium
    install(FILES chrome_install_from_store_policy DESTINATION ${KDE_INSTALL_DATADIR}/${CHROMIUM_EXTENSIONS_DIR}/extensions RENAME ${CHROME_EXTENSION_ID}.json)
endif()

# TODO firefox

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== host/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma-browser-integration-host\")

configure_file(config-host.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-host.h)

set(HOST_SOURCES main.cpp
                connection.cpp
                pluginmanager.cpp
                settings.cpp
                mprisplugin.cpp
                abstractbrowserplugin.cpp
                kdeconnectplugin.cpp
                downloadplugin.cpp
                downloadjob.cpp
                tabsrunnerplugin.cpp
                purposeplugin.cpp
                )

qt5_add_dbus_adaptor(HOST_SOURCES ../dbus/org.kde.plasma.browser_integration.TabsRunner.xml tabsrunnerplugin.h TabsRunnerPlugin)
qt5_add_dbus_adaptor(HOST_SOURCES ../dbus/org.kde.plasma.browser_integration.Settings.xml settings.h Settings)

qt5_add_dbus_adaptor(HOST_SOURCES ../dbus/org.mpris.MediaPlayer2.xml mprisplugin.h MPrisPlugin mprisroot MPrisRoot)
qt5_add_dbus_adaptor(HOST_SOURCES ../dbus/org.mpris.MediaPlayer2.Player.xml mprisplugin.h MPrisPlugin mprisplayer MPrisPlayer)

add_executable(plasma-browser-integration-host ${HOST_SOURCES})
target_link_libraries(
    plasma-browser-integration-host
    Qt5::DBus
    Qt5::Gui
    Qt5::Widgets
    KF5::Activities
    KF5::Crash
    KF5::I18n
    KF5::KIOCore
    KF5::PurposeWidgets
    KF5::FileMetaData
)

install(TARGETS plasma-browser-integration-host ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## plasma-browser-integration 5.13.5

=== debian/changelog ===
plasma-browser-integration (5.13.5-1ubuntu1) cosmic; urgency=medium

  * Single package, no install file; install files in locations intended
    by upstream KDE.
  * Use simplified README.Ubuntu
  * Update package description to clarify usage and requirements.
  * Resolves LP: #1790934

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Sep 2018 08:40:35 +0100

plasma-browser-integration (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:37 +0200

plasma-browser-integration (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:12 +0200

plasma-browser-integration (5.13.1-1) unstable; urgency=medium

  [ Scarlett Clark ]
  * Initial release. (Closes: #890778)

  [ Maximiliano Curia ]
  * Use debhelper 11
  * Update watch file
  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * Add call to dh_missing
  * Move the chromium native-messaging-hosts file to usr/share
  * Avoid installing the manifests
  * Update documentation
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:14 +0200

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.42.0~),
               libkf5activities-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5runner-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://www.kde.org/plasma-desktop.php
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kde.org>

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Browser integration for Plasma
 Components necessary to integrate Firefox and Chromium based browsers
 into the Plasma Desktop.
 User installation of the plasma-browser-integration extension from the
 Chrome store or Firefox addons site is required.
 README.Ubuntu in /usr/share/doc/plasma-browser-integration/ contains
 store/addon links current at the time this package was built.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_CHROME_MANIFEST=OFF

## plasma-browser-integration 5.14.5

=== debian/changelog ===
plasma-browser-integration (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:03 -0300

plasma-browser-integration (5.14.3-1) unstable; urgency=medium

  * Fix wrong path in the README.Debian file.
    Thanks to acheronuk
  * New upstream release (5.14.3).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:51:03 -0300

=== debian/control ===
--- 
+++ 
@@ -25,10 +25,6 @@
 Package: plasma-browser-integration
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Browser integration for Plasma
- Components necessary to integrate Firefox and Chromium based browsers
- into the Plasma Desktop.
- User installation of the plasma-browser-integration extension from the
- Chrome store or Firefox addons site is required.
- README.Ubuntu in /usr/share/doc/plasma-browser-integration/ contains
- store/addon links current at the time this package was built.
+Description: Chromium integration for Plasma
+ Components necessary to integrate browsers into
+ the Plasma Desktop.

## plasma-browser-integration 5.15.4

=== debian/changelog ===
plasma-browser-integration (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:24 +0100

plasma-browser-integration (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:09:47 +0000

plasma-browser-integration (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:14:44 +0000

plasma-browser-integration (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:19 +0000

plasma-browser-integration (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:53:54 +0000

plasma-browser-integration (5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:08 +0000

plasma-browser-integration (5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:43 +0000

plasma-browser-integration (5.14.4-0ubuntu2) disco; urgency=medium

  * Lower frameworks build-dep versions to permit backports to bionic,
    now p-b-i cmake deps permit this.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 02 Dec 2018 21:45:35 +0000

plasma-browser-integration (5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:47 +0000

plasma-browser-integration (5.13.3-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.13.2)
  * New upstream release (5.13.3)
  * Add Kubuntu VCS fields
  * Update package description

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 10 Jul 2018 13:37:57 +0000

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.54.0~),
               libkf5activities-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5runner-dev (>= 5.54.0~),
               libkf5windowsystem-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://www.kde.org/plasma-desktop.php
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kde.org>

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Browser integration for Plasma
 Components necessary to integrate Firefox and Chromium based browsers
 into the Plasma Desktop.
 User installation of the plasma-browser-integration extension from the
 Chrome store or Firefox addons site is required.
 README.Ubuntu in /usr/share/doc/plasma-browser-integration/ contains
 store/addon links current at the time this package was built.

## plasma-browser-integration 5.16.5

=== debian/changelog ===
plasma-browser-integration (5.16.5-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst: Remove chrome old native-messaging-hosts file
      before adding back as symlink.
    - debian/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 16 Sep 2019 18:26:14 +0100

plasma-browser-integration (5.16.5-1) unstable; urgency=medium

  * New upstream release (5.16.5).
  * Add the symlink only if the file is not present (Closes: 935601)
  * Add the LGPL-2.1+3+KDEeV paragraph
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 16 Sep 2019 16:23:30 +0100

plasma-browser-integration (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:25:04 +0100

plasma-browser-integration (5.16.4-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst: Remove chrome old native-messaging-hosts file
      before adding back as symlink.
    - debian/control: Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Aug 2019 12:27:35 +0100

plasma-browser-integration (5.16.4-1) unstable; urgency=medium

  [ Scarlett Moore ]
  * Fix "Incorrect installation directory for chrome config file"
     - Added postinst/postrm to handle symlinks to opt/etc
       that chrome expects.
     - Adjusted rules file to move files to usr/share dpkg expects.
     - Removed install file no longer needed.
     - Update README as we now handle the symlinks.
     - (Closes: #923322)
  * New upstream release.
  * Fix "Description shouldn't be limited to chromium"
    - Vastly improve the description and include supported browsers.
    (Closes: #903919)
  * Update my name and email.
  * Update copyright file.
  * Use secure copyright format.
  * Bump compat level to 12.
  * Bump standards version to 4.4.0; no changes needed.
  * Add back commas in copyright.
  * Use decopy friendly short license.

  [ Maximiliano Curia ]
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 11 Aug 2019 21:40:53 -0300

plasma-browser-integration (5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:45:48 +0100

plasma-browser-integration (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:06 +0100

plasma-browser-integration (5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 30 Jun 2019 18:33:05 +0100

plasma-browser-integration (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:24:49 +0100

plasma-browser-integration (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:36:45 +0100

plasma-browser-integration (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:49:53 +0100

plasma-browser-integration (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:48:43 +0100

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.0~),
               dbus-x11,
               debhelper (>= 12),
               extra-cmake-modules (>= 5.42.0~),
               libkf5activities-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5runner-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.4.0
Homepage: https://www.kde.org/plasma-desktop.php
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Chromium, Google Chrome, Firefox integration for Plasma
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,17 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DINSTALL_CHROME_MANIFEST=OFF
+
+# Use debian/postinst to install the Chrome conffile
+# and debian/postrm to remove it since dpkg's automatic
+# conffile handling doesn't handle the special /etc/opt/ directory
+# https://bugs.debian.org/888549
+override_dh_auto_install:
+	dh_auto_install
+	mkdir -p debian/plasma-browser-integration/usr/share/plasma-browser-integration
+	mv debian/plasma-browser-integration/etc/opt/chrome/native-messaging-hosts/org.kde.plasma.browser_integration.json \
+		debian/plasma-browser-integration/usr/share/plasma-browser-integration/org.kde.plasma.browser_integration.json
+	rm -rf debian/plasma-browser-integration/etc/opt
+
+override_dh_missing:
+	dh_missing --list-missing

## plasma-browser-integration 5.17.5

=== debian/changelog ===
plasma-browser-integration (5.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5crash-dev, libkf5filemetadata-dev, and libkf5purpose-dev
    - explicitly add gettext
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Stop passing --fail-missing to dh_missing, as everything is already
    installed in the only binary package (plasma-browser-integration) of this
    source.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2020 14:40:01 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,26 @@
 Priority: optional
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.42.0~),
+               gettext,
                libkf5activities-dev (>= 5.42.0~),
+               libkf5crash-dev (>= 5.42.0~),
                libkf5config-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5filemetadata-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5kio-dev (>= 5.42.0~),
                libkf5notifications-dev (>= 5.42.0~),
+               libkf5purpose-dev (>= 5.42.0~),
                libkf5runner-dev (>= 5.42.0~),
                libkf5windowsystem-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://www.kde.org/plasma-desktop.php
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>

## plasma-browser-integration 5.18.4.1

=== debian/changelog ===
plasma-browser-integration (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:15 +0100

plasma-browser-integration (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:43 +0000

plasma-browser-integration (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:50 +0000

plasma-browser-integration (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:39 +0000

plasma-browser-integration (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:58 +0000

plasma-browser-integration (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:55 +0000

plasma-browser-integration (5.17.5-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst: Remove chrome old native-messaging-hosts file
      before adding back as symlink.
    - debian/control: Kubuntu Vcs fields.
    - debian/meta/cmake-ignore: cmake ignore config for Kubuntu CI.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Jan 2020 15:14:23 +0000

plasma-browser-integration (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:30 +0000

plasma-browser-integration (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:47 +0000

plasma-browser-integration (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:32 +0000

plasma-browser-integration (5.17.2-0ubuntu1) focal; urgency=medium

  * New build depends on libkf5filemetadata-dev, libkf5crash-dev &
    libkf5purpose-dev
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:47 +0000

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,25 @@
 Build-Depends: cmake (>= 3.0~),
                dbus-x11,
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.42.0~),
+               extra-cmake-modules (>= 5.66.0~),
                gettext,
-               libkf5activities-dev (>= 5.42.0~),
-               libkf5crash-dev (>= 5.42.0~),
-               libkf5config-dev (>= 5.42.0~),
-               libkf5dbusaddons-dev (>= 5.42.0~),
-               libkf5filemetadata-dev (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.42.0~),
-               libkf5notifications-dev (>= 5.42.0~),
-               libkf5purpose-dev (>= 5.42.0~),
-               libkf5runner-dev (>= 5.42.0~),
-               libkf5windowsystem-dev (>= 5.42.0~),
+               libkf5activities-dev (>= 5.66.0~),
+               libkf5config-dev (>= 5.66.0~),
+               libkf5crash-dev (>= 5.66.0~),
+               libkf5dbusaddons-dev (>= 5.66.0~),
+               libkf5filemetadata-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5notifications-dev (>= 5.66.0~),
+               libkf5purpose-dev (>= 5.66.0~),
+               libkf5runner-dev (>= 5.66.0~),
+               libkf5windowsystem-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.4.1
 Homepage: https://www.kde.org/plasma-desktop.php
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>

## plasma-browser-integration 5.18.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(plasma-browser-integration)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.9.0")
@@ -25,6 +25,7 @@
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     KIO
     I18n
+    CoreAddons
     Config
     Crash
     DBusAddons

=== tabsrunner/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_browsertabs\")

set(krunner_browsertabs_SRCS
    tabsrunner.cpp
)

add_library(krunner_browsertabs MODULE ${krunner_browsertabs_SRCS})
target_link_libraries(krunner_browsertabs
    Qt5::DBus
    KF5::I18n
    KF5::Runner
)

install(TARGETS krunner_browsertabs DESTINATION ${KDE_INSTALL_PLUGINDIR} )

install(FILES plasma-runner-browsertabs.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== debian/changelog ===
plasma-browser-integration (5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:51 +0100

## plasma-browser-integration 5.19.5

=== debian/changelog ===
plasma-browser-integration (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)
  * Remove salsa's gbp.conf

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:58:51 +0100

plasma-browser-integration (5.19.4-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * New upstream release.
  * Update salsa-ci config for reprotest.
  * Add gbp.conf for salsa ci git-buildpackage.
    - Add configuration for git-overlay on salsa-ci.
    - Update .gitattributes for salsa-ci and gbp.
  * Update build dependencies as per cmake.
    - Removed libkf5windowsystem-dev no longer needed.
  * Raise ECM build dep version to 5.64 as it requires
    a module ( kde_clang_format ) introduced with that release.
  * Add rules-requires-root to control file as per lintian.
  * Bump Standards to 4.5.0; no changes required.
  * Refresh copyright with new copyright, fix formatting.
    - Fix KDEev clause copyright to correctly reflect the upstream copyright.
    - Review and update all copyright holders.
    - According to policy 12.5 Sources field should be a link to the actual
    source. Fixed the link to make it comply.
  * Add upstream/metadata file to provide upstream information.
  * Bump debhelper compat to 13.
  * Update build dependencies from cmake.
  * Refresh copyright.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.70.0
  * Remove the dbus-x11 build dependency, not needed.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Aug 2020 19:46:42 +0200

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               libkf5activities-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5filemetadata-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5notifications-dev (>= 5.70.0~),
               libkf5purpose-dev (>= 5.70.0~),
               libkf5runner-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Rules-Requires-Root: no

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Chromium, Google Chrome, Firefox integration for Plasma
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.

## plasma-browser-integration 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(plasma-browser-integration)
-set(PROJECT_VERSION "5.18.5")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.42.0")
+set(KF5_MIN_VERSION "5.72.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)

=== debian/changelog ===
plasma-browser-integration (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

plasma-browser-integration (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

plasma-browser-integration (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

plasma-browser-integration (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Refresh upstream metadata.
    - Remove obsolete entries already defined in d/copyright.
    - Update repositories to invent.kde.org.
    - Simplify bug-database.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

plasma-browser-integration (5.19.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Oct 2020 09:29:02 +0200

plasma-browser-integration (5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:57:30 +0900

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,29 @@
 Priority: optional
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.70.0~),
+               extra-cmake-modules (>= 5.72.0~),
                gettext,
-               libkf5activities-dev (>= 5.70.0~),
-               libkf5config-dev (>= 5.70.0~),
-               libkf5coreaddons-dev (>= 5.70.0~),
-               libkf5crash-dev (>= 5.70.0~),
-               libkf5dbusaddons-dev (>= 5.70.0~),
-               libkf5filemetadata-dev (>= 5.70.0~),
-               libkf5i18n-dev (>= 5.70.0~),
-               libkf5kio-dev (>= 5.70.0~),
-               libkf5notifications-dev (>= 5.70.0~),
-               libkf5purpose-dev (>= 5.70.0~),
-               libkf5runner-dev (>= 5.70.0~),
+               libkf5activities-dev (>= 5.72.0~),
+               libkf5config-dev (>= 5.72.0~),
+               libkf5coreaddons-dev (>= 5.72.0~),
+               libkf5crash-dev (>= 5.72.0~),
+               libkf5dbusaddons-dev (>= 5.72.0~),
+               libkf5filemetadata-dev (>= 5.72.0~),
+               libkf5i18n-dev (>= 5.72.0~),
+               libkf5kio-dev (>= 5.72.0~),
+               libkf5notifications-dev (>= 5.72.0~),
+               libkf5purpose-dev (>= 5.72.0~),
+               libkf5runner-dev (>= 5.72.0~),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.9.0~)
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
+           Patrick Franz <patfra71@gmail.com>,
+           Norbert Preining <norbert@preining.info>
 Rules-Requires-Root: no
 
 Package: plasma-browser-integration

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,3 @@
 	mv debian/plasma-browser-integration/etc/opt/chrome/native-messaging-hosts/org.kde.plasma.browser_integration.json \
 		debian/plasma-browser-integration/usr/share/plasma-browser-integration/org.kde.plasma.browser_integration.json
 	rm -rf debian/plasma-browser-integration/etc/opt
-
-override_dh_missing:
-	dh_missing --list-missing

## plasma-browser-integration 5.21.4

=== debian/changelog ===
plasma-browser-integration (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:16 +0100

plasma-browser-integration (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:28 +0000

plasma-browser-integration (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:13 +0000

plasma-browser-integration (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:45 +0000

plasma-browser-integration (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:27 +0000

plasma-browser-integration (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:30 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                libkf5purpose-dev (>= 5.72.0~),
                libkf5runner-dev (>= 5.72.0~),
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.9.0~)
+               plasma-workspace-dev (>= 4:5.21.4~),
+               qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git

## plasma-browser-integration 5.22.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 project(plasma-browser-integration)
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.22.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.9.0")
-set(KF5_MIN_VERSION "5.72.0")
+set(KF5_MIN_VERSION "5.81.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 include(KDEClangFormat)
 
@@ -34,7 +34,10 @@
     Activities
     Purpose
     FileMetaData
+    JobWidgets
 )
+
+find_package(LibTaskManager ${PROJECT_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 #add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
@@ -56,13 +59,16 @@
 add_feature_info(MOZILLA_DIR On "Mozilla directory is '${MOZILLA_DIR}'")
 
 add_subdirectory(host)
-add_subdirectory(tabsrunner)
 add_subdirectory(reminder)
 
 if(NOT DEFINED CHROME_EXTENSION_ID)
     # The extension ID is based on the key used to sign the extension
     # see https://stackoverflow.com/questions/23873623/obtaining-chrome-extension-id-for-development
     set(CHROME_EXTENSION_ID "cimiefiiaegbelhefglklhhakcgmhkai")
+endif()
+
+if(NOT DEFINED EDGE_EXTENSION_ID)
+    set(EDGE_EXTENSION_ID "dnnckbejblnejeabhcmhklcaljjpdjeh")
 endif()
 
 # TODO configure manifest.json
@@ -74,14 +80,16 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/chromium/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
 # #google-chrome
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/chrome/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
+# Microsoft Edge
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/edge/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
 # firefox
-
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${MOZILLA_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
 
 if (COPY_MESSAGING_HOST_FILE_HOME)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.mozilla/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/chromium/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/google-chrome/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/microsoft-edge/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
 endif()
 
 if (INSTALL_CHROME_MANIFEST) # Install a policy to have browsers automatically add the extension

=== debian/changelog ===
plasma-browser-integration (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:49:05 +0200

plasma-browser-integration (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:39 +0100

plasma-browser-integration (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:07:05 +0100

plasma-browser-integration (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:55:09 +0100

plasma-browser-integration (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:41 +0100

plasma-browser-integration (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:10:53 +0100

plasma-browser-integration (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 21:49:40 +0100

plasma-browser-integration (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.72.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5activities-dev (>= 5.72.0~),
-               libkf5config-dev (>= 5.72.0~),
-               libkf5coreaddons-dev (>= 5.72.0~),
-               libkf5crash-dev (>= 5.72.0~),
-               libkf5dbusaddons-dev (>= 5.72.0~),
-               libkf5filemetadata-dev (>= 5.72.0~),
-               libkf5i18n-dev (>= 5.72.0~),
-               libkf5kio-dev (>= 5.72.0~),
-               libkf5notifications-dev (>= 5.72.0~),
-               libkf5purpose-dev (>= 5.72.0~),
-               libkf5runner-dev (>= 5.72.0~),
+               libkf5activities-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5filemetadata-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5purpose-dev (>= 5.82.0~),
+               libkf5runner-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.21.4~),
+               plasma-workspace-dev (>= 4:5.22.5~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
